clear all
clc
load('soybean.mat');
example=soybean;
[x,y]=size(example);
fea=example(:,1:y-1);
gnd=example(:,y);
k=max(gnd);

X=fea';
[m,n]=size(X);
alpha=1e+1;
sigma=2e-0;
maxiter=300;

for i=1:n
    for j=1:n
         K(i,j)=exp(-sum((X(:,i)-X(:,j)).^2)/sigma);
    end
end

for j=1:256
    [Z]=GDBNSC_N(X,k,K,maxiter,alpha);
    label=kmeans(Z,k,'Replicates',20,'EmptyAction','singleton');
    warning  off all
    newres = bestMap(gnd,label);
    AC(j) = length(find(gnd == newres))/length(gnd);
    disp(AC(j))
end
AC_Best=max(AC)
AC_Ave=mean(AC)