function [H]=GDBNSC_R(X,k,K,maxiter,alpha)
mu=1e-12;
[m,n]=size(X);
Hn=eye(n)-1/n*ones(n);
A=Hn+mu*pinv(K);
Q=Hn-Hn'*inv(A)*Hn;
Q1=(Q+abs(Q))/2;
Q2=(-Q+abs(Q))/2;
H=rand(n,k);
Y=rand(k,m);
for i=1:maxiter
    H=(H'.*(Y*X+2*alpha*H'*Q2)./(Y*Y'*H'+2*alpha*H'*Q1))';
    Y=(X*H)';
end